import java.io.*; 

class H3AL5a
{ 
// sayinin exponenti dinamik metodu 
    public double exp(double x) 
    { 
        double faktoriyel=1; 
        double us=1; 
        double exponent=1; 
        for(double i=1;i<=300;i++) 
        { 
          faktoriyel*=i; 
          us*=x; 
          exponent+=us/faktoriyel; 
        } 
    return exponent;
    } 
}

public class H3AL5
{
public static void main(String[] args) throws IOException 
{ 
double sayi; 
Text cin=new Text();
H3AL5a y=new H3AL5a();
System.out.println("Bir  sayi giriniz : "); 
sayi=cin.readDouble(); 
System.out.println("girilen sayinin exponenti : "+y.exp(sayi)); 
} 
}


